<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('s2_depoly_permissions', function (Blueprint $table) {
            $table->id();
            $table->string("username")->comment("用户名");
            $table->text("permissions")->comment("权限配置");
            $table->timestamps();
        });
// 增加表备注
        DB::statement("ALTER TABLE ufutx_s2_depoly_permissions COMMENT '部署工具权限控制'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('s2_depoly_permissions');
    }
};
